cascading.tap.local

## Class StdInTap

- java.lang.Object
- - cascading.tap.Tap<Config,Input,java.lang.Void>
  - - cascading.tap.SourceTap<java.util.Properties,java.io.InputStream>
    - - cascading.tap.local.StdInTap

All Implemented Interfaces:
  FlowElement, ScopedElement, Traceable, java.io.Serializable

    public class StdInTap
    extends SourceTap<java.util.Properties,java.io.InputStream>

Class StdInTap provides a local mode tap for reading data from the `stdin` stream.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StdInTap(Scheme<java.util.Properties,java.io.InputStream,?,?,?> scheme)`

### Method Summary

Methods
`java.lang.String` `getIdentifier()` Method getIdentifier returns a String representing the resource this Tap instance represents.
`long` `getModifiedTime(java.util.Properties conf)` Method getModifiedTime returns the date this resource was last modified.
`TupleEntryIterator` `openForRead(FlowProcess<? extends java.util.Properties> flowProcess, java.io.InputStream inputStream)` Method openForRead opens the resource represented by this Tap instance for reading.
`boolean` `resourceExists(java.util.Properties conf)` Method resourceExists returns true if the path represented by this instance exists.

### Methods inherited from class cascading.tap.SourceTap

`commitResource, createResource, deleteResource, getSinkFields, isSink, openForWrite, prepareResourceForWrite, rollbackResource, sinkConfInit`

### Methods inherited from class cascading.tap.Tap

`createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForRead, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, setScheme, sourceConfInit, taps, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StdInTap

    public StdInTap(Scheme<java.util.Properties,java.io.InputStream,?,?,?> scheme)

### Method Detail

#### getIdentifier

    public java.lang.String getIdentifier()

Description copied from class: `Tap`
Method getIdentifier returns a String representing the resource this Tap instance represents.

Often, if the tap accesses a filesystem, the identifier is nothing more than the path to the file or directory. In other cases it may be a an URL or URI representing a connection string or remote resource.

Any two Tap instances having the same value for the identifier are considered equal.

Specified by:
  `getIdentifier` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
Returns:
  String

#### openForRead

    public TupleEntryIterator openForRead(FlowProcess<? extends java.util.Properties> flowProcess,
                                 java.io.InputStream inputStream)
                                   throws java.io.IOException

Description copied from class: `Tap`
Method openForRead opens the resource represented by this Tap instance for reading.

`input` value may be null, if so, sub-classes must inquire with the underlying `Scheme` via `Scheme.sourceConfInit(cascading.flow.FlowProcess, Tap, Object)` to get the proper input type and instantiate it before calling `super.openForRead()`.

Note the returned iterator will return the same instance of `TupleEntry` on every call, thus a copy must be made of either the TupleEntry or the underlying `Tuple` instance if they are to be stored in a Collection.

Specified by:
  `openForRead` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
Parameters:
  `flowProcess` - of type FlowProcess
  `inputStream` - of type Input
Returns:
  TupleEntryIterator
Throws:
  `java.io.IOException` - when the resource cannot be opened

#### resourceExists

    public boolean resourceExists(java.util.Properties conf)
                           throws java.io.IOException

Description copied from class: `Tap`
Method resourceExists returns true if the path represented by this instance exists.

Specified by:
  `resourceExists` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
Parameters:
  `conf` - of type Config
Returns:
  true if the underlying resource already exists
Throws:
  `java.io.IOException` - when the status cannot be determined

#### getModifiedTime

    public long getModifiedTime(java.util.Properties conf)
                         throws java.io.IOException

Description copied from class: `Tap`
Method getModifiedTime returns the date this resource was last modified.

Specified by:
  `getModifiedTime` in class `Tap<java.util.Properties,java.io.InputStream,java.lang.Void>`
Parameters:
  `conf` - of type Config
Returns:
  The date this resource was last modified.
Throws:
  `java.io.IOException`